require "rubygems"

spec = Gem::Specification.new do |gem|
   gem.name        = "net-ping"
   gem.version     = "1.2.1"
   gem.author      = "Daniel J. Berger"
   gem.email       = "djberg96@gmail.com"
   gem.homepage    = "http://www.rubyforge.org/projects/shards"
   gem.summary     = "A ping interface for Ruby."
   gem.test_file   = "test/ts_ping.rb"
   gem.has_rdoc    = true
   gem.files = Dir["lib/net/*"] + Dir['[A-Z]*']  + Dir['test/*']
   gem.files += Dir["lib/net/ping/*"]
   gem.files.reject! { |fn| fn.include? "CVS" }
   gem.extra_rdoc_files = ["README","CHANGES","doc/ping.txt"]

   case RUBY_PLATFORM
   when /mswin/i
      gem.platform = Gem::Platform::WIN32
      gem.add_dependency('win32-open3', '>= 0.2.5') # Ping::External
   else
      gem.platform = Gem::Platform::RUBY
   end

   description = "A ping interface for Ruby. Includes TCP, HTTP, ICMP, UDP, "
   description << "and External ping interfaces."
   gem.description = description
end

if $0 == __FILE__
   Gem.manage_gems
   Gem::Builder.new(spec).build
end
